package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawler;
import com.loafle.overflow.model.meta.MetaSensorItemKey;

import java.util.List;
import java.util.Map;

/**
 * Created by snoop on 17. 8. 29.
 */
public interface MetaSensorItemKeyService {
    @WebappAPI
    List<MetaSensorItemKey> readAllByCrawler(MetaCrawler metaCrawler) throws OverflowException;

    @WebappAPI
    Map<Integer, MetaSensorItemKey> readAllMapByCrawler(MetaCrawler metaCrawler) throws  OverflowException;
}
